hpp-corbaserver: ConnectedComponentSeq_out Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Public Attributes | List of all members
ConnectedComponentSeq_out Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

Collaboration diagram for ConnectedComponentSeq_out:
[legend]

## Public Member Functions
| ConnectedComponentSeq_out (ConnectedComponentSeq *&_s)
| ConnectedComponentSeq_out (ConnectedComponentSeq_var &_s)
| ConnectedComponentSeq_out (const ConnectedComponentSeq_out &_s)
ConnectedComponentSeq_out & | operator= (const ConnectedComponentSeq_out &_s)
ConnectedComponentSeq_out & | operator= (ConnectedComponentSeq *_s)
| operator ConnectedComponentSeq *& ()
ConnectedComponentSeq *& | ptr ()
ConnectedComponentSeq * | operator-> ()
_CORBA_ObjRef_Element< _objref_ConnectedComponent, ConnectedComponent_Helper > | operator[] (_CORBA_ULong _i)

## Public Attributes
ConnectedComponentSeq *& | _data

## Constructor & Destructor Documentation

## ◆ ConnectedComponentSeq_out() [1/3]

ConnectedComponentSeq_out::ConnectedComponentSeq_out | ( | ConnectedComponentSeq *& | _s | ) |
| inline

## ◆ ConnectedComponentSeq_out() [2/3]

ConnectedComponentSeq_out::ConnectedComponentSeq_out | ( | ConnectedComponentSeq_var & | _s | ) |
| inline

## ◆ ConnectedComponentSeq_out() [3/3]

ConnectedComponentSeq_out::ConnectedComponentSeq_out | ( | const ConnectedComponentSeq_out & | _s | ) |
| inline

## Member Function Documentation

## ◆ operator ConnectedComponentSeq *&()

ConnectedComponentSeq_out::operator ConnectedComponentSeq *& | ( |  | ) |
| inline

## ◆ operator->()

ConnectedComponentSeq* ConnectedComponentSeq_out::operator-> | ( |  | ) |
| inline

## ◆ operator=() [1/2]

ConnectedComponentSeq_out& ConnectedComponentSeq_out::operator= | ( | ConnectedComponentSeq * | _s | ) |
| inline

## ◆ operator=() [2/2]

ConnectedComponentSeq_out& ConnectedComponentSeq_out::operator= | ( | const ConnectedComponentSeq_out & | _s | ) |
| inline

## ◆ operator[]()

_CORBA_ObjRef_Element< _objref_ConnectedComponent, ConnectedComponent_Helper> ConnectedComponentSeq_out::operator[] | ( | _CORBA_ULong | _i | ) |
| inline

## ◆ ptr()

ConnectedComponentSeq*& ConnectedComponentSeq_out::ptr | ( |  | ) |
| inline

## Member Data Documentation

## ◆ _data

ConnectedComponentSeq*& ConnectedComponentSeq_out::_data

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh